| Home | Libraries | People | FAQ | More

## Struct template plain_return_type_1<unary_arithmetic_action< plus_action >, boost::units::quantity< Unit, Y >>

boost::lambda::plain_return_type_1<unary_arithmetic_action< plus_action >, boost::units::quantity< Unit, Y >>

## Synopsis

    // In header: <boost/units/lambda.hpp>

    template<typename Unit, typename Y>
    struct plain_return_type_1<unary_arithmetic_action< plus_action >, boost::units::quantity< Unit, Y >> {
      // types
      typedef boost::units::unary_plus_typeof_helper< boost::units::quantity< Unit, Y > >::type type;
    };

## Description

Partial specialization of return type trait for action +quantity<Unit, Y>.